僅在使用時載入搜尋。在下方瀏覽所有類別。

排程與發布

取消排程貼文

取消尚未發布的排程貼文,使其不再傳送。已發布貼文會被拒絕,代理程式也無法刪除已發布內容:使用者需在網頁應用程式中操作。需要 expected_version。

POST /studio-api/scheduled-posts/cancel

契約檢閱日期: · sha256:563d2d581da0ad29

概覽

取消尚未發布的排程貼文,使其不再傳送。已發布貼文會被拒絕,代理程式也無法刪除已發布內容:使用者需在網頁應用程式中操作。需要 expected_version。

成功 HTTP 回應可能表示請求已接受,並非已完成。背景工作請儲存回傳 ID,持續檢查同一操作直到完成。已排程或已接受的貼文,只有平台確認後才算已發布;用戶端逾時無法證明結果。

驗證與權限

接受的憑證類別
user_session, delegated_oauth, personal_access_token
委派能力
agent:publish
最低工作空間角色
editor
存取範圍
此使用者有權存取的資源
需要所有工作空間同意
否
變更狀態
是
操作完成時
terminal publication outcome

權杖只能使用其擁有者持有的權利。每次請求會檢查工作空間成員資格、資源擁有權、所選工作空間及已授予能力。core 與 full 設定檔只變更顯示的工具,不會授予存取權。

請求欄位

「必填」是指在其父物件及所選分支內必填。必填子欄位不會使選填父物件變成必填。下列規則與欄位名稱均複製自契約。

請求欄位
欄位 / 分支類型 / 必填約束
$object在父物件中必填
  • additionalProperties: false
idstring在父物件中必填
  • pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
expected_versioninteger在父物件中必填
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
完整 JSON Schema
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
    },
    "expected_version": {
      "type": "integer",
      "exclusiveMinimum": 0,
      "maximum": 9007199254740991
    }
  },
  "required": [
    "id",
    "expected_version"
  ],
  "additionalProperties": false
}

回應與完成

成功 HTTP 狀態:200。操作完成時: terminal publication outcome.

成功 HTTP 回應可能表示請求已接受,並非已完成。背景工作請儲存回傳 ID,持續檢查同一操作直到完成。已排程或已接受的貼文,只有平台確認後才算已發布;用戶端逾時無法證明結果。

「必填」是指在其父物件及所選分支內必填。必填子欄位不會使選填父物件變成必填。下列規則與欄位名稱均複製自契約。

回應與完成
欄位 / 分支類型 / 必填約束
$object在父物件中必填—
postobject在父物件中必填—
post.idstring在父物件中必填
  • pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
post.workspace_idstring在父物件中必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
post.social_account_idstring | null在父物件中必填—
post.social_account_idanyOf 1string在父物件中必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
post.social_account_idanyOf 2null在父物件中必填—
post.platformstring在父物件中必填
  • enum: ["instagram","threads","facebook","youtube","x"]
post.destinationobject在父物件中必填—
post.destination.social_account_idstring | null在父物件中必填—
post.destination.social_account_idanyOf 1string在父物件中必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
post.destination.social_account_idanyOf 2null在父物件中必填—
post.destination.platformstring在父物件中必填
  • enum: ["instagram","threads","facebook","youtube","x"]
post.destination.platform_user_idstring | null在父物件中必填—
post.destination.platform_user_idanyOf 1string在父物件中必填—
post.destination.platform_user_idanyOf 2null在父物件中必填—
post.destination.account_labelstring | null在父物件中必填—
post.destination.account_labelanyOf 1string在父物件中必填—
post.destination.account_labelanyOf 2null在父物件中必填—
post.captionstring | null在父物件中必填—
post.captionanyOf 1string在父物件中必填—
post.captionanyOf 2null在父物件中必填—
post.hashtagsarray在父物件中必填—
post.hashtags[]string選填/項目—
post.mediaarray在父物件中必填—
post.media[]object選填/項目—
post.media[].kindstring在父物件中必填
  • enum: ["image","video"]
post.media[].urlstring在父物件中必填
  • format: "uri"
post.media[].cover_urlstring | null選填/項目—
post.media[].cover_urlanyOf 1string選填/項目
  • format: "uri"
post.media[].cover_urlanyOf 2null選填/項目—
post.media[].cover_asset_idinteger | null選填/項目—
post.media[].cover_asset_idanyOf 1integer選填/項目
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
post.media[].cover_asset_idanyOf 2null選填/項目—
post.media[].asset_idinteger | null選填/項目—
post.media[].asset_idanyOf 1integer選填/項目
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
post.media[].asset_idanyOf 2null選填/項目—
post.media[].mime_typestring | null選填/項目—
post.media[].mime_typeanyOf 1string選填/項目
  • minLength: 1
  • maxLength: 160
post.media[].mime_typeanyOf 2null選填/項目—
post.media[].preview_urlstring | null選填/項目

暫時授權的讀取 URL;保留 url 作為排程貼文的持久媒體身分。

—
post.media[].preview_urlanyOf 1string選填/項目
  • format: "uri"
post.media[].preview_urlanyOf 2null選填/項目—
post.media[].cover_preview_urlstring | null選填/項目

暫時授權的封面讀取 URL;保留 cover_url 作為持久媒體身分。

—
post.media[].cover_preview_urlanyOf 1string選填/項目
  • format: "uri"
post.media[].cover_preview_urlanyOf 2null選填/項目—
post.media[].preview_expires_atstring | null選填/項目—
post.media[].preview_expires_atanyOf 1string選填/項目
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
post.media[].preview_expires_atanyOf 2null選填/項目—
post.link_urlstring | null選填/項目—
post.link_urlanyOf 1string選填/項目
  • format: "uri"
post.link_urlanyOf 2null選填/項目—
post.publish_optionsobject在父物件中必填—
post.publish_options.post_typestring選填/項目
  • enum: ["TEXT","LINK","IMAGE","MULTI_IMAGE","VIDEO","CAROUSEL","REELS","STORY_IMAGE","STORY_VIDEO","REPOST","SHORT"]
post.publish_options.location_idstring選填/項目
  • minLength: 1
post.publish_options.share_to_feedboolean選填/項目—
post.publish_options.collaboratorsarray選填/項目
  • maxItems: 3
post.publish_options.collaborators[]string選填/項目
  • minLength: 1
post.publish_options.first_commentstring選填/項目
  • minLength: 1
  • maxLength: 2200
post.publish_options.topic_tagstring選填/項目
  • minLength: 1
post.publish_options.thumb_offset_msinteger選填/項目
  • minimum: 0
  • maximum: 9007199254740991
post.publish_options.titlestring選填/項目
  • maxLength: 255
post.publish_options.youtube_privacy_statusstring選填/項目
  • enum: ["private","unlisted","public"]
post.publish_options.youtube_category_idstring選填/項目
  • pattern: "^\\d+$"
post.publish_options.youtube_contains_synthetic_mediaboolean選填/項目—
post.publish_options.descriptionstring選填/項目
  • maxLength: 5000
post.publish_options.category_idstring選填/項目
  • pattern: "^\\d+$"
post.publish_options.privacy_statusstring選填/項目
  • enum: ["private","unlisted","public"]
post.publish_options.cancellation_modestring選填/項目
  • enum: ["DELETE","UNSCHEDULE_KEEP_PRIVATE"]
post.publish_options.tagsarray選填/項目—
post.publish_options.tags[]string選填/項目—
post.publish_options.default_languagestring選填/項目—
post.publish_options.localizationsobject選填/項目
  • additionalProperties: {}
post.publish_options.localizations.*any JSON value選填/項目—
post.publish_options.licensestring選填/項目
  • enum: ["youtube","creativeCommon"]
post.publish_options.embeddableboolean選填/項目—
post.publish_options.public_stats_viewableboolean選填/項目—
post.publish_options.self_declared_made_for_kidsboolean選填/項目—
post.publish_options.contains_synthetic_mediaboolean選填/項目—
post.publish_options.has_paid_product_placementboolean選填/項目—
post.publish_options.recording_datestring選填/項目—
post.publish_options.notify_subscribersboolean選填/項目—
post.publish_options.thumbnail_asset_idinteger選填/項目
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
post.publish_options.surface_expectationstring選填/項目
  • const: "SHORT"
post.publish_options.brand_partnerobject選填/項目
  • additionalProperties: {}
post.publish_options.brand_partner.*any JSON value選填/項目—
post.publish_options.cover_asset_idinteger選填/項目
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
post.publish_options.audio_namestring選填/項目—
post.publish_options.trial_paramsobject選填/項目
  • additionalProperties: {}
post.publish_options.trial_params.*any JSON value選填/項目—
post.publish_options.is_ai_generatedboolean選填/項目—
post.publish_options.branded_content_sponsor_idsarray選填/項目—
post.publish_options.branded_content_sponsor_ids[]string選填/項目—
post.publish_options.is_paid_partnershipboolean選填/項目—
post.publish_options.media_optionsarray選填/項目—
post.publish_options.media_options[]object選填/項目
  • additionalProperties: {}
post.publish_options.media_options[].*any JSON value選填/項目—
post.publish_options.reply_to_idstring選填/項目—
post.publish_options.quote_post_idstring選填/項目—
post.publish_options.repost_target_idstring選填/項目—
post.publish_options.reply_controlstring選填/項目—
post.publish_options.enable_reply_approvalsboolean選填/項目—
post.publish_options.link_attachmentstring選填/項目
  • format: "uri"
post.publish_options.poll_attachmentobject選填/項目
  • additionalProperties: {}
post.publish_options.poll_attachment.*any JSON value選填/項目—
post.publish_options.gif_attachmentobject選填/項目
  • additionalProperties: {}
post.publish_options.gif_attachment.*any JSON value選填/項目—
post.publish_options.text_attachmentobject選填/項目
  • additionalProperties: {}
post.publish_options.text_attachment.*any JSON value選填/項目—
post.publish_options.text_entitiesarray選填/項目—
post.publish_options.text_entities[]object選填/項目
  • additionalProperties: {}
post.publish_options.text_entities[].*any JSON value選填/項目—
post.publish_options.is_spoiler_mediaboolean選填/項目—
post.publish_options.is_ghost_postboolean選填/項目—
post.publish_options.allowlisted_country_codesarray選填/項目—
post.publish_options.allowlisted_country_codes[]string選填/項目—
post.publish_options.crossreshare_to_igboolean選填/項目—
post.publish_options.crossreshare_to_ig_dark_modeboolean選填/項目—
post.publish_options.auto_publish_textboolean選填/項目—
post.publish_options.publication_modestring選填/項目
  • enum: ["PUBLISH","DRAFT"]
post.publish_options.backdated_timenumber選填/項目—
post.publish_options.backdated_time_granularitystring選填/項目
  • enum: ["year","month","day","hour","minute"]
post.publish_options.placestring選填/項目—
post.publish_options.feed_targetingobject選填/項目
  • additionalProperties: {}
post.publish_options.feed_targeting.*any JSON value選填/項目—
post.publish_options.targetingobject選填/項目
  • additionalProperties: {}
post.publish_options.targeting.*any JSON value選填/項目—
post.publish_options.child_attachmentsarray選填/項目—
post.publish_options.child_attachments[]object選填/項目
  • additionalProperties: {}
post.publish_options.child_attachments[].*any JSON value選填/項目—
post.publish_options.multi_share_end_cardboolean選填/項目—
post.publish_options.multi_share_optimizedboolean選填/項目—
post.publish_options.unpublished_content_typestring選填/項目—
post.publish_options.no_storyboolean選填/項目—
post.publish_options.crossposted_video_idstring選填/項目—
post.publish_options.sphericalboolean選填/項目—
post.scheduled_atstring在父物件中必填—
post.display_timezonestring在父物件中必填
  • minLength: 1
  • maxLength: 80
post.local_scheduled_atstring | null選填/項目—
post.local_scheduled_atanyOf 1string選填/項目
  • pattern: "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}(?::\\d{2}(?:\\.\\d{1,6})?)?$"
post.local_scheduled_atanyOf 2null選填/項目—
post.schedule_timezonestring | null選填/項目—
post.schedule_timezoneanyOf 1string選填/項目
  • minLength: 1
  • maxLength: 80
post.schedule_timezoneanyOf 2null選填/項目—
post.schedule_dst_disambiguationstring | null選填/項目—
post.schedule_dst_disambiguationanyOf 1string選填/項目
  • enum: ["exact","earlier","later"]
post.schedule_dst_disambiguationanyOf 2null選填/項目—
post.schedule_intent_statestring選填/項目
  • enum: ["verified","legacy_unverified"]
post.expires_atstring | null在父物件中必填—
post.expires_atanyOf 1string在父物件中必填—
post.expires_atanyOf 2null在父物件中必填—
post.statusstring在父物件中必填
  • enum: ["scheduled","publishing","published","failed","expired","needs_reschedule","cancelled","deleted"]
post.versioninteger在父物件中必填
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
post.automatic_retry_enabledboolean在父物件中必填—
post.delete_requested_atstring | null在父物件中必填—
post.delete_requested_atanyOf 1string在父物件中必填—
post.delete_requested_atanyOf 2null在父物件中必填—
post.published_atstring | null在父物件中必填—
post.published_atanyOf 1string在父物件中必填—
post.published_atanyOf 2null在父物件中必填—
post.deleted_atstring | null在父物件中必填—
post.deleted_atanyOf 1string在父物件中必填—
post.deleted_atanyOf 2null在父物件中必填—
post.provider_post_idstring | null在父物件中必填—
post.provider_post_idanyOf 1string在父物件中必填—
post.provider_post_idanyOf 2null在父物件中必填—
post.permalinkstring | null在父物件中必填—
post.permalinkanyOf 1string在父物件中必填
  • format: "uri"
post.permalinkanyOf 2null在父物件中必填—
post.created_atstring在父物件中必填—
post.updated_atstring在父物件中必填—
post.project_idstring | null在父物件中必填—
post.project_idanyOf 1string在父物件中必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
post.project_idanyOf 2null在父物件中必填—
post.batch_idstring | null在父物件中必填—
post.batch_idanyOf 1string在父物件中必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
post.batch_idanyOf 2null在父物件中必填—
post.source_refobject | null在父物件中必填—
post.source_refanyOf 1object在父物件中必填
  • additionalProperties: {}
post.source_ref.*anyOf 1any JSON value選填/項目—
post.source_refanyOf 2null在父物件中必填—
完整 JSON Schema
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "post": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string",
          "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
        },
        "workspace_id": {
          "type": "string",
          "format": "uuid",
          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
        },
        "social_account_id": {
          "anyOf": [
            {
              "type": "string",
              "format": "uuid",
              "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
            },
            {
              "type": "null"
            }
          ]
        },
        "platform": {
          "type": "string",
          "enum": [
            "instagram",
            "threads",
            "facebook",
            "youtube",
            "x"
          ]
        },
        "destination": {
          "type": "object",
          "properties": {
            "social_account_id": {
              "anyOf": [
                {
                  "type": "string",
                  "format": "uuid",
                  "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                },
                {
                  "type": "null"
                }
              ]
            },
            "platform": {
              "type": "string",
              "enum": [
                "instagram",
                "threads",
                "facebook",
                "youtube",
                "x"
              ]
            },
            "platform_user_id": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ]
            },
            "account_label": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ]
            }
          },
          "required": [
            "social_account_id",
            "platform",
            "platform_user_id",
            "account_label"
          ]
        },
        "caption": {
          "anyOf": [
            {
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "hashtags": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "media": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "kind": {
                "type": "string",
                "enum": [
                  "image",
                  "video"
                ]
              },
              "url": {
                "type": "string",
                "format": "uri"
              },
              "cover_url": {
                "anyOf": [
                  {
                    "type": "string",
                    "format": "uri"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "cover_asset_id": {
                "anyOf": [
                  {
                    "type": "integer",
                    "exclusiveMinimum": 0,
                    "maximum": 9007199254740991
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "asset_id": {
                "anyOf": [
                  {
                    "type": "integer",
                    "exclusiveMinimum": 0,
                    "maximum": 9007199254740991
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "mime_type": {
                "anyOf": [
                  {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 160
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "preview_url": {
                "description": "Temporary authorized read URL; keep url as persisted Scheduled Post media identity.",
                "anyOf": [
                  {
                    "type": "string",
                    "format": "uri"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "cover_preview_url": {
                "description": "Temporary authorized cover read URL; keep cover_url as persisted media identity.",
                "anyOf": [
                  {
                    "type": "string",
                    "format": "uri"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "preview_expires_at": {
                "anyOf": [
                  {
                    "type": "string",
                    "format": "date-time",
                    "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
                  },
                  {
                    "type": "null"
                  }
                ]
              }
            },
            "required": [
              "kind",
              "url"
            ]
          }
        },
        "link_url": {
          "anyOf": [
            {
              "type": "string",
              "format": "uri"
            },
            {
              "type": "null"
            }
          ]
        },
        "publish_options": {
          "type": "object",
          "properties": {
            "post_type": {
              "type": "string",
              "enum": [
                "TEXT",
                "LINK",
                "IMAGE",
                "MULTI_IMAGE",
                "VIDEO",
                "CAROUSEL",
                "REELS",
                "STORY_IMAGE",
                "STORY_VIDEO",
                "REPOST",
                "SHORT"
              ]
            },
            "location_id": {
              "type": "string",
              "minLength": 1
            },
            "share_to_feed": {
              "type": "boolean"
            },
            "collaborators": {
              "maxItems": 3,
              "type": "array",
              "items": {
                "type": "string",
                "minLength": 1
              }
            },
            "first_comment": {
              "type": "string",
              "minLength": 1,
              "maxLength": 2200
            },
            "topic_tag": {
              "type": "string",
              "minLength": 1
            },
            "thumb_offset_ms": {
              "type": "integer",
              "minimum": 0,
              "maximum": 9007199254740991
            },
            "title": {
              "type": "string",
              "maxLength": 255
            },
            "youtube_privacy_status": {
              "type": "string",
              "enum": [
                "private",
                "unlisted",
                "public"
              ]
            },
            "youtube_category_id": {
              "type": "string",
              "pattern": "^\\d+$"
            },
            "youtube_contains_synthetic_media": {
              "type": "boolean"
            },
            "description": {
              "type": "string",
              "maxLength": 5000
            },
            "category_id": {
              "type": "string",
              "pattern": "^\\d+$"
            },
            "privacy_status": {
              "type": "string",
              "enum": [
                "private",
                "unlisted",
                "public"
              ]
            },
            "cancellation_mode": {
              "type": "string",
              "enum": [
                "DELETE",
                "UNSCHEDULE_KEEP_PRIVATE"
              ]
            },
            "tags": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "default_language": {
              "type": "string"
            },
            "localizations": {
              "type": "object",
              "propertyNames": {
                "type": "string"
              },
              "additionalProperties": {}
            },
            "license": {
              "type": "string",
              "enum": [
                "youtube",
                "creativeCommon"
              ]
            },
            "embeddable": {
              "type": "boolean"
            },
            "public_stats_viewable": {
              "type": "boolean"
            },
            "self_declared_made_for_kids": {
              "type": "boolean"
            },
            "contains_synthetic_media": {
              "type": "boolean"
            },
            "has_paid_product_placement": {
              "type": "boolean"
            },
            "recording_date": {
              "type": "string"
            },
            "notify_subscribers": {
              "type": "boolean"
            },
            "thumbnail_asset_id": {
              "type": "integer",
              "exclusiveMinimum": 0,
              "maximum": 9007199254740991
            },
            "surface_expectation": {
              "type": "string",
              "const": "SHORT"
            },
            "brand_partner": {
              "type": "object",
              "propertyNames": {
                "type": "string"
              },
              "additionalProperties": {}
            },
            "cover_asset_id": {
              "type": "integer",
              "exclusiveMinimum": 0,
              "maximum": 9007199254740991
            },
            "audio_name": {
              "type": "string"
            },
            "trial_params": {
              "type": "object",
              "propertyNames": {
                "type": "string"
              },
              "additionalProperties": {}
            },
            "is_ai_generated": {
              "type": "boolean"
            },
            "branded_content_sponsor_ids": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "is_paid_partnership": {
              "type": "boolean"
            },
            "media_options": {
              "type": "array",
              "items": {
                "type": "object",
                "propertyNames": {
                  "type": "string"
                },
                "additionalProperties": {}
              }
            },
            "reply_to_id": {
              "type": "string"
            },
            "quote_post_id": {
              "type": "string"
            },
            "repost_target_id": {
              "type": "string"
            },
            "reply_control": {
              "type": "string"
            },
            "enable_reply_approvals": {
              "type": "boolean"
            },
            "link_attachment": {
              "type": "string",
              "format": "uri"
            },
            "poll_attachment": {
              "type": "object",
              "propertyNames": {
                "type": "string"
              },
              "additionalProperties": {}
            },
            "gif_attachment": {
              "type": "object",
              "propertyNames": {
                "type": "string"
              },
              "additionalProperties": {}
            },
            "text_attachment": {
              "type": "object",
              "propertyNames": {
                "type": "string"
              },
              "additionalProperties": {}
            },
            "text_entities": {
              "type": "array",
              "items": {
                "type": "object",
                "propertyNames": {
                  "type": "string"
                },
                "additionalProperties": {}
              }
            },
            "is_spoiler_media": {
              "type": "boolean"
            },
            "is_ghost_post": {
              "type": "boolean"
            },
            "allowlisted_country_codes": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "crossreshare_to_ig": {
              "type": "boolean"
            },
            "crossreshare_to_ig_dark_mode": {
              "type": "boolean"
            },
            "auto_publish_text": {
              "type": "boolean"
            },
            "publication_mode": {
              "type": "string",
              "enum": [
                "PUBLISH",
                "DRAFT"
              ]
            },
            "backdated_time": {
              "type": "number"
            },
            "backdated_time_granularity": {
              "type": "string",
              "enum": [
                "year",
                "month",
                "day",
                "hour",
                "minute"
              ]
            },
            "place": {
              "type": "string"
            },
            "feed_targeting": {
              "type": "object",
              "propertyNames": {
                "type": "string"
              },
              "additionalProperties": {}
            },
            "targeting": {
              "type": "object",
              "propertyNames": {
                "type": "string"
              },
              "additionalProperties": {}
            },
            "child_attachments": {
              "type": "array",
              "items": {
                "type": "object",
                "propertyNames": {
                  "type": "string"
                },
                "additionalProperties": {}
              }
            },
            "multi_share_end_card": {
              "type": "boolean"
            },
            "multi_share_optimized": {
              "type": "boolean"
            },
            "unpublished_content_type": {
              "type": "string"
            },
            "no_story": {
              "type": "boolean"
            },
            "crossposted_video_id": {
              "type": "string"
            },
            "spherical": {
              "type": "boolean"
            }
          }
        },
        "scheduled_at": {
          "type": "string"
        },
        "display_timezone": {
          "type": "string",
          "minLength": 1,
          "maxLength": 80
        },
        "local_scheduled_at": {
          "anyOf": [
            {
              "type": "string",
              "pattern": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}(?::\\d{2}(?:\\.\\d{1,6})?)?$"
            },
            {
              "type": "null"
            }
          ]
        },
        "schedule_timezone": {
          "anyOf": [
            {
              "type": "string",
              "minLength": 1,
              "maxLength": 80
            },
            {
              "type": "null"
            }
          ]
        },
        "schedule_dst_disambiguation": {
          "anyOf": [
            {
              "type": "string",
              "enum": [
                "exact",
                "earlier",
                "later"
              ]
            },
            {
              "type": "null"
            }
          ]
        },
        "schedule_intent_state": {
          "type": "string",
          "enum": [
            "verified",
            "legacy_unverified"
          ]
        },
        "expires_at": {
          "anyOf": [
            {
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "status": {
          "type": "string",
          "enum": [
            "scheduled",
            "publishing",
            "published",
            "failed",
            "expired",
            "needs_reschedule",
            "cancelled",
            "deleted"
          ]
        },
        "version": {
          "type": "integer",
          "exclusiveMinimum": 0,
          "maximum": 9007199254740991
        },
        "automatic_retry_enabled": {
          "type": "boolean"
        },
        "delete_requested_at": {
          "anyOf": [
            {
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "published_at": {
          "anyOf": [
            {
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "deleted_at": {
          "anyOf": [
            {
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "provider_post_id": {
          "anyOf": [
            {
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "permalink": {
          "anyOf": [
            {
              "type": "string",
              "format": "uri"
            },
            {
              "type": "null"
            }
          ]
        },
        "created_at": {
          "type": "string"
        },
        "updated_at": {
          "type": "string"
        },
        "project_id": {
          "anyOf": [
            {
              "type": "string",
              "format": "uuid",
              "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
            },
            {
              "type": "null"
            }
          ]
        },
        "batch_id": {
          "anyOf": [
            {
              "type": "string",
              "format": "uuid",
              "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
            },
            {
              "type": "null"
            }
          ]
        },
        "source_ref": {
          "anyOf": [
            {
              "type": "object",
              "propertyNames": {
                "type": "string"
              },
              "additionalProperties": {}
            },
            {
              "type": "null"
            }
          ]
        }
      },
      "required": [
        "id",
        "workspace_id",
        "social_account_id",
        "platform",
        "destination",
        "caption",
        "hashtags",
        "media",
        "publish_options",
        "scheduled_at",
        "display_timezone",
        "expires_at",
        "status",
        "version",
        "automatic_retry_enabled",
        "delete_requested_at",
        "published_at",
        "deleted_at",
        "provider_post_id",
        "permalink",
        "created_at",
        "updated_at",
        "project_id",
        "batch_id",
        "source_ref"
      ]
    }
  },
  "required": [
    "post"
  ]
}

錯誤與安全重試

檢查 HTTP 狀態和回應內容。400 驗證錯誤可能包含 ZodError;處理常式錯誤使用 error、message 和 code 欄位。保留 request_id 或 x-request-id 以便診斷,但不要保留憑證。先解決 401/403 存取錯誤再重試,並在收到 429 時遵循 Retry-After。如寫入結果不確定或回傳 5xx,先讀取現有結果。僅在支援時重複使用冪等鍵;重試行為因操作而異,並不保證恰好傳送一次。

故障排查指南

範例

這些範例使用已依結構描述檢查的虛構值。請將 ID 替換為您有權使用的 ID、將媒體替換為已就緒素材,並將日期替換為已確認的發布時間。提交寫入前,請檢查帳號資格。本頁不會傳送 API 請求。

在伺服器上將 SOSOAPI_ACCESS_TOKEN 設為此操作接受的憑證,且不要放入瀏覽器程式碼。代理程式請使用 sosoapi auth login 透過瀏覽器登入,並由 CLI 更新憑證。

request.json

{
  "id": "11111111-1111-4111-8111-111111111111",
  "expected_version": 1
}

cURL

curl --request POST \
  "https://gqeshlawtcexsapabaui.supabase.co/functions/v1/studio-api/scheduled-posts/cancel" \
  -H "Authorization: Bearer $SOSOAPI_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  --data-binary @request.json

JavaScript

// Server-side JavaScript. Do not print tokens or credential-bearing responses.
const token = process.env.SOSOAPI_ACCESS_TOKEN;
if (!token) throw new Error("Set an accepted credential for this operation");
const response = await fetch("https://gqeshlawtcexsapabaui.supabase.co/functions/v1/studio-api/scheduled-posts/cancel", {
  method: "POST",
  headers: { "Content-Type": "application/json", Authorization: "Bearer " + token },
  body: JSON.stringify({
  "id": "11111111-1111-4111-8111-111111111111",
  "expected_version": 1
})
});
const result = await response.json();
// Check response.ok, the operation-specific body and completion state before continuing.

CLI

npx sosoapi api post /studio-api/scheduled-posts/cancel < request.json

合成回應範例

{
  "post": {
    "id": "11111111-1111-4111-8111-111111111111",
    "workspace_id": "11111111-1111-4111-8111-111111111111",
    "social_account_id": null,
    "platform": "instagram",
    "destination": {
      "social_account_id": null,
      "platform": "instagram",
      "platform_user_id": null,
      "account_label": null
    },
    "caption": null,
    "hashtags": [],
    "media": [],
    "publish_options": {},
    "scheduled_at": "example",
    "display_timezone": "UTC",
    "expires_at": null,
    "status": "scheduled",
    "version": 1,
    "automatic_retry_enabled": false,
    "delete_requested_at": null,
    "published_at": null,
    "deleted_at": null,
    "provider_post_id": null,
    "permalink": null,
    "created_at": "example",
    "updated_at": "example",
    "project_id": null,
    "batch_id": null,
    "source_ref": null
  }
}

MCP: sosoapi_cancel_scheduled_post